travisfarmer
Posts: 47
Joined: Sun Jan 07, 2018 9:33 pm
Location: Maine, USA
Contact: Website

cant update rasbien

Thu Jul 18, 2019 10:52 pm

i just got my Rpi4B4 from CanaKit, and it came with a preloaded SD card (lucky, as my main laptop died last night). when i try "sudo apt-get update", i get:

Code: Select all

Hit:1 http://archive.raspberrypi.org/debian buster InRelease
Get:2 http://raspbian.raspberrypi.org/raspbian buster InRelease [15.0 kB]
Reading package lists... Done      
E: Repository 'http://raspbian.raspberrypi.org/raspbian buster InRelease' changed its 'Suite' value from 'testing' to 'stable'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.
~Travis
Most of my electronics/programming experience is in Arduino, but i am learning Rpi to broaden my projects capabilities.

echmain
Posts: 251
Joined: Fri Mar 04, 2016 8:26 pm

Re: cant update rasbien

Thu Jul 18, 2019 11:08 pm

If you do sudo apt update (instead of apt-get) it will prompt you with a y/n question about accepting the change from testing to stable.

Answer y and you're good to go.

bullen
Posts: 283
Joined: Sun Apr 28, 2013 2:52 pm

Re: cant update rasbien

Thu Jul 25, 2019 9:08 am

Ah, thanx...
https://github.com/tinspin/rupy - A tiny Java async HTTP application server.

User avatar
Jimblob64
Posts: 18
Joined: Fri May 20, 2016 12:02 am

Re: cant update rasbien

Thu Jul 25, 2019 1:04 pm

I've been seeing some mods recommend

apt-get update --allow-releaseinfo-change

As a preferred method- if you say yes, it'll redirect Raspbian Buster to look for updates in the right place for a released Stable branch, whereas before it may have been looking for updates somewhere else until Debian Buster went live.

If you're still not able to get it working for some reason, just grabbing the current Buster image from the Pi Foundation site will get you a copy of Buster that's already pointed the right way.
RPi 4B w/ Buster in a toasty little official case, and an RPi 3B w/ Stretch.

User avatar
davidcoton
Posts: 4244
Joined: Mon Sep 01, 2014 2:37 pm
Location: Cambridge, UK

Re: cant update rasbien

Thu Jul 25, 2019 2:17 pm

Jimblob64 wrote:
Thu Jul 25, 2019 1:04 pm
I've been seeing some mods recommend
apt-get update --allow-releaseinfo-change
Of course that works, but apt-get is the legacy command, preserved to avoid breaking shell scripts.
For normal interactive (command-line) use, "apt" is preferred. It will ask a question if the release status has changed, so there is no need for extra incantations.

The normal update/upgrade should be
sudo apt update
sudo apt upgrade
If that leaves "packages held back", then their upgrade can be encouraged with
sudo apt full-upgrade
with some minor risk of breaking something else.
Last edited by davidcoton on Thu Jul 25, 2019 8:17 pm, edited 1 time in total.
Signature retired

fruitoftheloom
Posts: 21049
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: cant update rasbien

Thu Jul 25, 2019 2:43 pm

davidcoton wrote:
Thu Jul 25, 2019 2:17 pm
Jimblob64 wrote:
Thu Jul 25, 2019 1:04 pm
I've been seeing some mods recommend
apt-get update --allow-releaseinfo-change
Of course that works, but apt-get is the legacy command, preserved to avoid breaking shell scripts.
For normal interactive (command-line) use, "apt" is preferred. It will ask a question if the release status has changed, so there is no need for extra incantations.

The normal update/upgrade should be
sudo apt update
sudo apt upgrade
If that leaves *packages held back", then their upgrade can be encouraged with
sudo apt full-upgrade
with some minor risk of breaking something else.

apt always works for me without issue !
Retired disgracefully.....
This at present is my daily "computer" https://www.asus.com/us/Chrome-Devices/Chromebit-CS10/

Return to “General discussion”